<?php

require 'vendor/autoload.php';

use OpenCloud\Rackspace;

$options  = include 'options.php';
$required = array('username', 'apiKey', 'container');

foreach ($required as $key) { 
	if (empty($options[$key])) { 
		throw new Exception(sprintf('%s option is required', $key));
	}
}

$endpoint = ($options['endpoint'] == 'US') 
	? Rackspace::US_IDENTITY_ENDPOINT 
	: Rackspace::UK_IDENTITY_ENDPOINT;

$client = new Rackspace($endpoint, array(
	'username' => $options['username'],
	'apiKey'   => $options['apiKey']
));

$objectService = $client->objectStoreService('cloudFiles', $options['region']);
$container = $objectService->getContainer($options['container']);

$path = __DIR__ . '/../' . $options['localDir'];

if (!file_exists($path)) {
	throw new Exception(sprintf('%s does not exist', $path));
}

$container->uploadDirectory($path);

echo 'Sync complete. Your blog is sitting here: ', $container->getCdn()->getCdnUri(), PHP_EOL;
